Favicon

You are here: Home > API Reference > Android > Webapps > Get emmWebApp by Id

Get emmWebApp by Id

Required Permission: mdm.android.webApp.get

Get emmWebApp by Id

GET
/v1/organizations/:organizationId/mdm/android/enterprise/web-apps/:emmWebAppId
Copy to clipboard

Get emmWebApp by Id

Required Permission: mdm.android.webApp.get

Get emmWebApp by Id

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
emmWebAppId string
required
Match pattern: ^[a-fA-F0-9]{24}$

Responses

200 Response application/json
status boolean optional
data object optional
id string optional
Match pattern: ^[a-fA-F0-9]{24}$
organization string optional
Match pattern: ^[a-fA-F0-9]{24}$
emmEnterprise string optional
Match pattern: ^[a-fA-F0-9]{24}$
config object optional
name string optional
≤ 256 characters
title string optional
≤ 256 characters
startUrl string optional
≤ 256 characters
icons array [object] optional
imageData string optional
displayMode string optional
MINIMAL_UI STANDALONE FULL_SCREEN
versionCode string optional
≤ 128 characters
_config object optional
Only available for platform admin users
updatedAt string optional
Format: date-time
createdAt string optional
Format: date-time
{
    "status": true,
    "data": {
        "id": "string",
        "organization": "string",
        "emmEnterprise": "string",
        "config": {
            "name": "string",
            "title": "string",
            "startUrl": "string",
            "icons": [
                {
                    "imageData": "string"
                }
            ],
            "displayMode": "MINIMAL_UI",
            "versionCode": "string"
        },
        "_config": {},
        "updatedAt": "2024-01-01T00: 00:00Z",
        "createdAt": "2024-01-01T00: 00:00Z"
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}